Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 23 Oct 2014, 08:09
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
gtkdialog-0.8.2-i486-lucid.pet
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
RSH


Joined: 05 Sep 2011
Posts: 2420
Location: Germany

PostPosted: Sun 04 Nov 2012, 14:00    Post subject:  gtkdialog-0.8.2-i486-lucid.pet
Subject description: gtkdialog-0.8.2 compiled in LazY Puppy
 

Hi.

I have successfully compiled gtkdialog 0.8.2 in LazY Puppy (based on lucid 528-4). Also it has been successfully tested using some gtkdialog programs like the LazY Remaster Suite, LazY Puppy Menu Suite, BackupSettings etc.

Even though I'm quite new to compiling, so I'm not sure if it works for anyone else and I don't now anything about the differences between 0.8.0 and 0.8.2.

The only thing I do know is, the new pmusic 3 needs gtkdialog 0.8.2 and it uses gtkdialog5 as its new name.

EDIT:
zigbert at next post wrote:
pMusic 3 will run fine if gtkdialog-0.8.2 is executed from gtkdialog. gtkdialog5 is optional because I 'fear' Barry will use this for his next update.

To keep the older gtkdialog (gtkdialog2, gtkdialog3, gtkdialog4) alive, I have put this in /usr/local/GtkDialog/082 named as gtkdialog082 and made a symlink in /usr/sbin named as gtkdialog5 (have had a look into the pmusic 3 rc script right now, so I was right with that).

RSH

_________________
LazY Puppy
RSH's DNA
SARA B.

Last edited by RSH on Sat 19 Jan 2013, 02:55; edited 2 times in total
Back to top
View user's profile Send private message 
zigbert


Joined: 29 Mar 2006
Posts: 5753
Location: Valåmoen, Norway

PostPosted: Sun 04 Nov 2012, 15:39    Post subject:  

RSH wrote:
The only thing I do know is, the new pmusic 3 needs gtkdialog 0.8.2 and it uses gtkdialog5 as its new name.
Please consider to edit this

pMusic 3 will run fine if gtkdialog-0.8.2 is executed from gtkdialog. gtkdialog5 is optional because I 'fear' Barry will use this for his next update.


Thank you for providing this. I will link from pMusic 3 page.
Sigmund

_________________
Stardust resources
Back to top
View user's profile Send private message Visit poster's website 
RSH


Joined: 05 Sep 2011
Posts: 2420
Location: Germany

PostPosted: Sun 04 Nov 2012, 20:04    Post subject:  

pmusic thread wrote:
D O W N L O A D (username: puppy - password: linux)

Pmusic 3 (105 kb) Changelog
Pmusic-2.6.7 (106 kb) gtkdialog (>= 0.8.0)
Pmusic-1.8.3 (74 kb) - ffmpeg (<= 0.7.x), gtkdialog (>= 0.7.20)

Language support
Graphical themes



D E P E N D E N C I E S

Required
ffmpeg (>= 0.8 )
alsa
gtkdialog (>= 0.8.2 )
bash + core-utils



zigbert wrote:
pMusic 3 will run fine if gtkdialog-0.8.2 is executed from gtkdialog. gtkdialog5 is optional because I 'fear' Barry will use this for his next update.


Hello, zigbert.

Yes, this is what I did try to say. Sorry if I wasn't clear enough but i did understand it like gtkdialog will be installed as gtkdialog5 and a symblic link gtkdialog is used for gtkdialog5. So if one calls gtkdialog the gtkdialog5 application will be executed, right?


RSH

_________________
LazY Puppy
RSH's DNA
SARA B.
Back to top
View user's profile Send private message 
chrome307


Joined: 15 Jan 2009
Posts: 713

PostPosted: Thu 13 Dec 2012, 11:20    Post subject:  

Thanks for this Smile
Back to top
View user's profile Send private message 
RSH


Joined: 05 Sep 2011
Posts: 2420
Location: Germany

PostPosted: Sat 19 Jan 2013, 02:55    Post subject:  

Hi.

There is some news on the gtkdialog front and also some confusion here, because of this news.

1. Gtkdialog 0.8.4 (new version for pmusic) is still named as gtkdialog4
2. Therefor gtkdialog5 (as 0.8.2 is named in the attached .pet) is not used by other developers and/or programs

As I compiled the gtkdialog 0.8.2 I did decide to rename the binary to gtkdialog5 because of this here.

As you can see here, they have changed it after using it that way for some reasons.

Everyone who has downloaded the formerly above attached .pet should follow the instructions in those posts (link above).

Because of this confusion I did decide to remove the package.

Sorry,

RSH

_________________
LazY Puppy
RSH's DNA
SARA B.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0509s ][ Queries: 11 (0.0025s) ][ GZIP on ]